Player Kick

Discussion in 'Performance Tweaking' started by burakreizs, Jan 12, 2021.

  1. My server version is 1.12.2 and i am using lastest viaversion viabackwards viarewind but
    1.8 players kicking non reason like this :
    [16:59:22] [Server thread/INFO]: Muzip lost connection: Internal Exception: io.netty.handler.codec.DecoderException: io.netty.util.IllegalReferenceCountException: refCnt: 0

    only 1.8 player is kicking the server how can i solve this problem?
     
    #1 burakreizs, Jan 12, 2021
    Last edited: Jan 12, 2021
  2. Have you contacted ViaVersion's support?
     
  3. yes i do they say its maybe because of spigotguard and skinrestorer and i removed all this plugins but nothing changed.
     
  4. A list of the plugins you are using/full server log would be helpful. You can also try removing all your plugins then adding them in one by one till the crash happens.
     
    • Like Like x 1
  5. my log : https://pastebin.com/H7JhD925
    "all your plugins then adding them in one by one till the crash happens."
    i can't do that because literally player kicking randomly sometimes while breaking grass sometimes while running.
     
  6. In which case I think you would have to slowly work with this player over time to find out which plugin causes it. You could try just removing one at a time instead of all of them.
     
  7. I have the exact same issue. Would you mind listing your plugins and we can compare :)
     
  8. I just deleted viarewind :/
     
  9. Use also protocolsupport
     
  10. Happends to me to when a player on 1.12.2 below gets teleported by console
     
  11. Have you configured these configs?
     
  12. Glad to say i found a fix, if you are having this issue for say with like versions with 1.12 and below just downgrade your server jar, although some plugins might not work anymore but most will as long as you down grade them as well
     
  13. While using viaversion you’re supposed to run your server on the lowest version that you want to support…. Meaning that the server is supposed to run on 1.8 or else expect bugs like this to happen.
     
  14. exactly my problem
     
  15. Did you read the answers? Problem was solved